Funding

Deposit into trading wallet

POST/v1/trading/wallet/deposit

Moves funds from the user's Bit2Me wallet into their trading wallet, where they become available to place orders. The funds are taken from the user's pocket of currency with the highest balance, which must hold at least amount. The transfer is recorded as a deposit movement (GET /v1/trading/movement), and the trading wallet of the currency is created on the first deposit.

Only one movement per currency can be in progress at a time.

Authorization

ApiKeyAuth
X-Api-Key<token>

For accessing these endpoints a valid API key must be sent in the X-Api-Key header.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

Deposit into trading wallet
curl --request POST \  --url 'https://gateway.bit2me.com/v1/trading/wallet/deposit' \  --header 'Content-Type: application/json' \  --data '{  "amount": "100",  "currency": "EUR"}'
{  "balance": 1350.5,  "blockedBalance": 0,  "createdAt": "2023-09-13T14:05:42.149Z",  "currency": "EUR",  "id": "3a9f1c2d-7e4b-4f6a-8c1d-2b3e4f5a6b7c",  "rawBalance": "1350.5",  "rawBlockedBalance": "0",  "userId": "2bf436fc-43e6-459a-b647-6b446f72ad96"}